Skip to main content
GET
/
venue-markets
List venue markets
curl --request GET \
  --url https://api.agg.market/venue-markets \
  --header 'x-app-id: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "venue": "kalshi",
      "externalIdentifier": "<string>",
      "question": "<string>",
      "venueMarketOutcomes": [
        {
          "id": "<string>",
          "venueMarketId": "<string>",
          "label": "<string>",
          "price": 0.5,
          "externalIdentifier": "<string>",
          "title": "<string>",
          "winner": true
        }
      ],
      "marketId": "<string>",
      "venueEventId": "<string>",
      "description": "<string>",
      "rulesPrimary": "<string>",
      "rulesSecondary": "<string>",
      "conditionId": "<string>",
      "volume": 1,
      "image": "<string>",
      "status": "open",
      "startDate": "<string>",
      "endDate": "<string>",
      "creationDate": "<string>",
      "createdAt": "<string>",
      "settlementSources": [
        {
          "name": "<string>",
          "url": "<string>"
        }
      ],
      "resolutionDate": "<string>",
      "resolvedBy": "<string>",
      "resolutionCriteriaUrl": "<string>",
      "primaryResolutionDomain": "<string>",
      "negRisk": true,
      "matchStatus": "pending",
      "matchedVenueMarkets": [
        {
          "id": "<string>",
          "venue": "kalshi",
          "externalIdentifier": "<string>",
          "question": "<string>",
          "volume": 1,
          "status": "open",
          "conditionId": "<string>",
          "venueEvent": {
            "id": "<string>",
            "externalIdentifier": "<string>",
            "slug": "<string>",
            "series": {
              "id": "<string>",
              "venue": "<string>",
              "externalIdentifier": "<string>",
              "name": "<string>"
            }
          },
          "venueMarketOutcomes": [
            {
              "id": "<string>",
              "venueMarketId": "<string>",
              "label": "<string>",
              "price": 123,
              "winner": true
            }
          ],
          "matchEntry": {
            "venueMarketId": "<string>",
            "targetVenueMarketId": "<string>",
            "matchType": "manual",
            "matchReason": "<string>",
            "matchDetails": {}
          }
        }
      ],
      "venueEvent": {
        "id": "<string>",
        "externalIdentifier": "<string>",
        "title": "<string>",
        "image": "<string>",
        "venue": "kalshi",
        "categories": [
          {
            "id": "<string>",
            "category": {
              "id": "<string>",
              "name": "<string>"
            }
          }
        ],
        "description": "<string>",
        "volume": 1,
        "status": "open",
        "startDate": "<string>",
        "endDate": "<string>",
        "creationDate": "<string>",
        "series": {
          "id": "<string>",
          "venue": "kalshi",
          "externalIdentifier": "<string>",
          "name": "<string>",
          "description": "<string>",
          "volume": 1,
          "recurrence": "<string>"
        },
        "slug": "<string>",
        "subtitle": "<string>",
        "competition": "<string>",
        "competitionScope": "<string>",
        "tags": [
          "<string>"
        ],
        "matchStatus": "pending",
        "matchType": "manual",
        "matchReason": "<string>",
        "matchConfidence": 0.5,
        "updatedAt": "<string>"
      }
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Query Parameters

venue
enum<string>
Available options:
kalshi,
polymarket,
limitless,
opinion
venueEventId
string
matchStatus
enum<string>
Available options:
pending,
unmatched,
review,
matched,
verified,
rejected
categoryIds
createdAtFrom
string
createdAtTo
string
limit
number
Required range: 1 <= x <= 100
cursor
string

Response

200

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required